diff --git a/src/backend/executor/execPartition.c b/src/backend/executor/execPartition.c
index aca42ca5b8..41bc4028c2 100644
--- a/src/backend/executor/execPartition.c
+++ b/src/backend/executor/execPartition.c
@@ -1530,7 +1530,10 @@ adjust_partition_colnos(List *colnos, ResultRelInfo *leaf_part_rri)
 {
 	TupleConversionMap *map = ExecGetChildToRootMap(leaf_part_rri);
 
-	return adjust_partition_colnos_using_map(colnos, map->attrMap);
+	if (map != NULL)
+		return adjust_partition_colnos_using_map(colnos, map->attrMap);
+	else
+		return NIL;
 }